Bug 1977037 - VNC console stays in Connecting state. [NEEDINFO]
Summary: VNC console stays in Connecting state.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1980302
TreeView+ depends on / blocked
 
Reported: 2021-06-28 19:32 UTC by Martin Ouimet
Modified: 2021-10-18 17:37 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OCP 4.8 use apVersion v1 for virtualMachines CNV 2.6.5 use apiVersion v1aplpha1 for virtualMachines Consequence: OCP 4.8 does not allow none supported virtualMachines to load. Fix: Make OCP 4.8 support both apiVersions Result: OCP 4.8 does allow all supported virtualMachines to load.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:36:56 UTC
Target Upstream Version:
sgott: needinfo? (mouimet)


Attachments (Terms of Use)
screenshot of Openshift Console (125.08 KB, application/pdf)
2021-06-28 19:32 UTC, Martin Ouimet
no flags Details
VM definition (6.31 KB, text/plain)
2021-06-29 13:24 UTC, Martin Ouimet
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9400 0 None open Bug 1977037: VNC console stays in Connecting state 2021-07-04 09:37:57 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:20 UTC

Description Martin Ouimet 2021-06-28 19:32:44 UTC
Created attachment 1795563 [details]
screenshot of Openshift Console

Description of problem:
Cannot connect to VNC console using the Openshift web console and virtctl command

[21-06-28|15:22:37]~>virtctl vnc rhel8-homeless-rabbit
{"component":"","level":"info","msg":"connection timeout: 1m0s","pos":"vnc.go:144","timestamp":"2021-06-28T15:22:38.122078Z"}
Error encountered: exec: "remote-viewer": executable file not found in $PATH



Version-Release number of selected component (if applicable):
Openshift 4.8.0-rc.1
CNV: 2.6.5
Fresh installation deployed with assisted bare metal ( running on baremetal single node deployment (SNO))

How reproducible:


Steps to Reproduce:
1. Install Openshift 4.8.0-rc.1 ( I have not tested another method than Assisted SNO)
2. Install Openshift CNV operator, create HCO
3. Spin a VM 
In my case I imported a RHEL 8.3 ISO as a boot CDROM. 

Actual results:
Import succeed 
Pod virtlauncher is in Running state. 
VM is in running state
Cannot connect to VNC, web UI shows Connecting 

Expected results:
VNC console shows VM display. 

Additional info:

Comment 1 sgott 2021-06-28 21:09:33 UTC
Hi Martin,

Could you attach the yaml file for your VM definition? Also, must-gather output would be very helpful to help us diagnose what happened.

Comment 2 Israel Pinto 2021-06-29 06:35:38 UTC
Hi Martin,

CNV 2.6.5 should be installed on OCP 4.7. What did you install with OCP 4.8 RC-0?

Comment 3 Martin Ouimet 2021-06-29 13:22:22 UTC
Hi, I simply took the version that was in the Operator Hub of the newly installed OCP 4.8. which is 2.6.5... can this issue be related to a mismatch of versions ? Thanks,

Comment 4 Martin Ouimet 2021-06-29 13:24:43 UTC
Created attachment 1795801 [details]
VM definition

Comment 5 Martin Ouimet 2021-06-29 13:26:44 UTC
The VM (see attachment) was created using the VM creating wizard.

Comment 6 sgott 2021-06-30 12:14:00 UTC
Martin,

Could you please confirm that the VM is actually running. The yaml you shared has "Running = false"

Please install virt-viewer in order to confirm behavior of "virtctl vnc"

Comment 7 Jed Lejosne 2021-07-01 15:21:44 UTC
I just installed the latest OCP 4.8 nightly + CNV 2.6.5 + HCO to reproduce this issue and for some reason, in the web UI, "Virtual Machines" does not appear under "Workloads".
I double checked that everything is running fine, I'm not sure what's causing this.
Any idea would be appreciated!
Thanks

Comment 8 sgott 2021-07-01 20:42:45 UTC
Yaacov,

Can you help out Jed? per Comment #7.

Comment 9 Guohua Ouyang 2021-07-02 12:17:49 UTC
(In reply to Jed Lejosne from comment #7)
> I just installed the latest OCP 4.8 nightly + CNV 2.6.5 + HCO to reproduce
> this issue and for some reason, in the web UI, "Virtual Machines" does not
> appear under "Workloads".
> I double checked that everything is running fine, I'm not sure what's
> causing this.
> Any idea would be appreciated!
> Thanks

If it's OCP 4.8 nightly, it should has the fixes that could show virtualization on CNV 2.6.5, it's confirmed that OCP 4.8.0-rc.1 works with CNV 2.6.

ref link: https://bugzilla.redhat.com/show_bug.cgi?id=1977355#c2

Comment 10 Guohua Ouyang 2021-07-02 12:42:07 UTC
Confirmed the issue is reproduced on OCP-4.8.0-rc.1 + 2.6.5.

Comment 11 Jed Lejosne 2021-07-02 17:27:32 UTC
Found rc1 and finally got a repro.
I confirmed that `virtctl vnc` works fine, so the issue must be UI-related...
I also tried creating a VM in the default namespace, in case the namespace was somehow omitted, but no luck there either.

Comment 12 Guohua Ouyang 2021-07-07 02:23:43 UTC
clear the needinfo.

Comment 14 Guohua Ouyang 2021-07-13 08:39:58 UTC
Verified on CNV 2.6.6 + OCP master

Comment 15 mgarrell 2021-07-22 19:06:31 UTC
Merged PR for 4.8 release notes - https://github.com/openshift/openshift-docs/pull/34736

Comment 18 errata-xmlrpc 2021-10-18 17:36:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.